Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.13

Request #6119 Add PEAR_Frontend_Gtk2 support to PEAR
Submitted: 2005-12-01 07:30 UTC
From: cweiske at cweiske dot de Assigned: cellog
Status: Closed Package: PEAR
PHP Version: 5.1.0 OS: any
Roadmaps: (Not assigned)    
Subscription  


 [2005-12-01 07:30 UTC] cweiske at cweiske dot de
Description: ------------ The pear command allows a "-G" parameter to start the Gtk frontend. With php5, this doesn't work as PHP-Gtk1 isn't supported any more. However, PHP-Gtk2 does work with PHP5.1 and there is the successor of PEAR_Frontend_Gtk named PEAR_Frontend_Gtk2. The following patch checks the php version and changes to Gtk2 if necessary: //pearcmd.php Line 97: + //Check if Gtk and PHP >= 5.1.0 + if ($fetype == 'Gtk' && version_compare('5.1.0dev', phpversion(), '<=')) { + $fetype = 'Gtk2'; + } Line 240: - if ($fetype == 'Gtk') { + if ($fetype == 'Gtk' || $fetype == 'Gtk2') {

Comments

 [2005-12-01 07:47 UTC] cellog
wrong package
 [2005-12-01 07:56 UTC] cellog
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.